<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Caption extends CI_Controller{
    
        
    function __construct(){
        parent::__construct();
        error_reporting(E_ALL);
        ini_set('display_errors', 1);
       
    }

    
    public function save(){
        $data = array();
        $caption = $this->input->post('caption');
        $title = $this->input->post('title');
        $userID = $this->input->post('user_id');

        $save = array();
        $save['caption'] = $caption;
        $save['title'] = $title;
        $save['user_id'] = $userID;
        $save['created_at'] = date('Y-m-d H:i:s');
        $save['updated_at'] = date('Y-m-d H:i:s');

        $res = $this->db->insert('member_caption', $save);

        if($res){

            $id = $this->db->insert_id();
            $this->db->where('id', $id);
            $row = $this->db->get('member_caption');
            $q = $row->row();

            $data['status'] = true;
            $data['message'] = 'Berhasil';
            $data['data'] = $q;
        }else{
            $data['status'] = false;
            $data['message'] = 'failed save caption';
        }

        echo json_encode($data);

    }

    public function update($id){
        $data = array();
        $caption = $this->input->post('caption');
        $title = $this->input->post('title');
        $userID = $this->input->post('user_id');

        $save = array();
        $save['caption'] = $caption;
        $save['title'] = $title;
        $save['user_id'] = $userID;
        $save['updated_at'] = date('Y-m-d H:i:s');

        $this->db->where('id', $id);
        $res = $this->db->update('member_caption', $save);

         if($res){

            $data['status'] = true;
            $data['message'] = 'Berhasil';
            $data['data']['action'] = 'null';
        }else{
            $data['status'] = false;
            $data['message'] = 'failed update caption';
        }

        echo json_encode($data);

    }

    public function sync($userID){
        $data = array();
        $sql = "SELECT * FROM member_caption WHERE user_id = ?";
        $q = $this->db->query($sql, array($userID));

        $data['status'] = true;
        $data['message'] = 'Berhasil';
        $data['data']['captions'] = $q->result();

        echo json_encode($data);
    }


    public function bulk_delete($userID){
        $data = array();
        $ids = $this->input->post('ids');

        // $bulk =  json_encode($ids);
        if($userID != ''){
            $data['status'] = true;
            $data['message'] = 'Berhasil';
            $data['data']['action'] = $ids;
        }else{
            $data['status'] = false;
            $data['message'] = '404 Not Found';
           
        }

        echo json_encode($data);
            
        // $this->where('user_id', $userID);

    }

    
    

}

/* End of file Groups.php */
/* Location: ./application/controllers/Groups.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-05-14 11:23:29 */
/* http://harviacode.com */
